com.aliyun.svideosdk.common

## Enum AliyunTypeface

- java.lang.Object
- - java.lang.Enum<AliyunTypeface>
  - - com.aliyun.svideosdk.common.AliyunTypeface

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<AliyunTypeface>

      public enum AliyunTypeface
      extends java.lang.Enum<AliyunTypeface>

  字体字形样式

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BOLD`
    `BOLD_ITALIC`
    `ITALIC`
    `NORMAL`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AliyunTypeface` | `get(int index)`
    `static AliyunTypeface` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static AliyunTypeface[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NORMAL

          public static final AliyunTypeface NORMAL

    - #### BOLD

          public static final AliyunTypeface BOLD

    - #### ITALIC

          public static final AliyunTypeface ITALIC

    - #### BOLD_ITALIC

          public static final AliyunTypeface BOLD_ITALIC

  - ### Method Detail

    - #### values

          public static AliyunTypeface[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AliyunTypeface c : AliyunTypeface.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AliyunTypeface valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### get

          public static AliyunTypeface get(int index)